%define module	CPAN
%define name	perl-%{module}
%define version 1.9402
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://search.cpan.org/CPAN/authors/id/A/AN/ANDK/%{module}-%{version}.tar.gz
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(YAML)
BuildRequires:	perl(YAML::Syck)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use Net::FTP or LWP or some external
download clients to fetch the distributions from the net.

These are fetched from one or more of the mirrored CPAN (Comprehensive
Perl Archive Network) sites and unpacked in a dedicated directory.

The CPAN module also supports the concept of named and versioned
*bundles* of modules. Bundles simplify the handling of sets of related
modules. See Bundles below.

The package contains a session manager and a cache manager. The session
manager keeps track of what has been fetched, built and installed in the
current session. The cache manager keeps track of the disk space
occupied by the make processes and deletes excess space according to a
simple FIFO mechanism.

All methods provided are accessible in a programmer style and in an
interactive shell style.

%prep
%setup -q -n %{module}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
# Signature file does not contain debug files signatures, just ignore the file for tests
%{__mv} SIGNATURE SIGNATURE_test
# perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) issue a warning if not present
# so we just ignore them (they induce a failure if tested)
%{__make} test
%{__mv} SIGNATURE_test SIGNATURE

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
# Temporarily rename the cpan shell in order to wait for perl-5.10
%{__mv} %{buildroot}/%{_bindir}/cpan %{buildroot}/%{_bindir}/cpan-%{version}

%files
%defattr(-,root,root)
%{_bindir}/*
%doc Changes README
%{perl_vendorlib}
%{_mandir}/*/*



%changelog
* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.9402-1mdv2010.0
+ Revision: 390325
- update to new version 1.9402

* Sun Mar 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.9304-1mdv2009.1
+ Revision: 346282
- update to new version 1.9304

* Tue Oct 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.9301-1mdv2009.1
+ Revision: 296291
- new version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9205-4mdv2009.0
+ Revision: 256160
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 22 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.9205-2mdv2008.1
+ Revision: 111291
- Versioned cpan in order to temporarily avoid conflict with perl-5.8.8-devel (should be solved in 5.10)

* Thu Nov 22 2007 Stéphane Téletchéa <steletch@mandriva.org> 1.9205-1mdv2008.1
+ Revision: 111249
-Initial package
  perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) are temporarily ignored for tests
- import perl-CPAN


* Fri Nov 21 2007 1.9205-1mdv2008.1 Stephane Teletchea <steletch@mandriva.org>
- Initial package
- perl(CPAN::Test::Dummy::Perl5::Make::CircDepeOne/Two/Three) are temporarily ignored for tests
